# $Revision: 1.16 $, $Date: 2006/05/31 12:54:44 $
%define		ocaml_ver	1:3.09.2
Summary:	SDL binding for OCaml
Summary(pl):	Wizania SDL dla OCamla
Name:		ocaml-SDL
Version:	0.7.2
Release:	5
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/ocamlsdl/ocamlsdl-%{version}.tar.gz
# Source0-md5:	0707a9cf80bd9cfe18ad660dc077bad6
URL:		http://ocamlsdl.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-lablgl-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simply speaking, OCamlSDL is an attempt to write a software interface
between the ML programming language and the SDL C library.

This package contains files needed to run bytecode executables using
this library.

%description -l pl
OCamlSDL to prba napisania interfejsu programowego midzy jzykiem
programowania ML a bibliotek C SDL.

Ten pakiet zawiera pliki potrzebne do uruchamiania wykonywalnego
bytecodu uywajcego tej biblioteki.

%package devel
Summary:	SDL binding for OCaml - development part
Summary(pl):	Wizania SDL dla OCamla - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
Simply speaking, OCamlSDL is an attempt to write a software interface
between the ML programming language and the SDL C library.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
OCamlSDL to prba napisania interfejsu programowego midzy jzykiem
programowania ML a bibliotek C SDL.

Ten pakiet zawiera pliki potrzebne do tworzenia programw w OCamlu
uywajcych tej biblioteki.

%prep
%setup -q -n ocamlsdl-%{version}

%build
cp -f /usr/share/automake/config.* support
%{__aclocal} -I support
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc README AUTHORS NEWS doc/html doc/ocaml*
%dir %{_libdir}/ocaml/sdl
%{_libdir}/ocaml/sdl/*
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.owner

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-SDL.spec,v $
Revision 1.16  2006/05/31 12:54:44  glen
- rel 5 (rebuild with ocaml-3.09.2)

Revision 1.15  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.14  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.13  2005/12/11 09:32:25  qboosh
- refresh config.sub, release 2

Revision 1.12  2005/12/11 01:07:27  baggins
- regenerate configure (amd64 not recognized)

Revision 1.11  2005/12/11 01:03:43  baggins
- rel 1
- BR ocaml-findlib-devel

Revision 1.10  2005/12/11 00:10:37  baggins
- make ocamlfind happy

Revision 1.9  2005/12/10 23:08:03  baggins
- fixed case when installed with ocamlfind

Revision 1.8  2005/12/10 19:00:07  baggins
- updated to 0.7.2

Revision 1.7  2005/12/10 18:33:53  baggins
- release 2 for ocaml 3.09.0

Revision 1.6  2005/11/03 20:15:43  glen
- unify sf url, and other things that adapter felt neccessary

Revision 1.5  2004/11/18 23:21:19  qboosh
- unification

Revision 1.4  2004/11/18 22:49:28  qboosh
- pl descs

Revision 1.3  2004/11/15 14:04:37  baggins
- allow install in prefix other than /usr

Revision 1.2  2004/11/15 13:47:41  baggins
- finished

Revision 1.1  2004/11/15 13:30:12  baggins
- initial revision
- NFY
